({
	syncBalance : function(cmp) {
        var d = cmp.get('v.accountData');
		this.runAction(
            cmp,
            "c.syncBalance",
            {
                "recordId" : d.recordId, 
             	"accountNumber" : d.accountNumber + '/' + d.bankCode
            },
            this.onSyncSuccess,
            this.onError
        );
	},
    
    doDeleteAccount : function(cmp) {
        this.runAction(
            cmp,
            "c.deleteAccount",
            {"recordId" : cmp.get('v.accountData').recordId},
            this.onDeleteSuccess,
            this.onError
        );
    },
    
    onDeleteSuccess : function(cmp, h, result) {
        h.showToast("", "Delete was successful", "success");
        
        cmp.find('deleteAccountDialog').closeDialog();
        
        $A.enqueueAction(cmp.get('v.refreshPage'));
    },
    
    onSyncSuccess : function(cmp, h, result) {
        h.showToast("", "Sync was successful", "success");
        
        cmp.set('v.accountData', result);
        
        cmp.set('v.showSpinner', false);
    },
    
    onError : function(cmp, h, response) {
        let errors = response.getError();
        let message = 'Unknown error'; 
        
        if (errors && Array.isArray(errors) && errors.length > 0) {
            message = errors[0].message;
        }
        
        console.error(message);
        h.showToast("", message, "error");
        
        cmp.set('v.showSpinner', false);
    }
})