({
    loadData : function(cmp) {
        this.runAction(
            cmp,
            "c.getBankAccounts",
            {},
            this.onLoadSuccess,
            this.onError
        );
    },
    
    saveNewAccount : function(cmp, token, syncFrom) {
        this.runAction(
            cmp,
            "c.saveAccount",
            {"token" : token,
             "syncFrom" : syncFrom},
            this.onSaveSuccess,
            this.onError
        );
    },
    
    validateField : function(cmp) {
        cmp.showHelpMessageIfInvalid();
        
        return cmp.get('v.validity').valid;
    },
    
    onLoadSuccess : function(cmp, h, result) {
        cmp.set('v.showSpinner', false);
        
        if ($A.util.isEmpty(result)) {
            return;
        }
        
        var totalBalance = 0;
        for (let i=0; i<result.length; i++) {
            totalBalance += result[i].balance;
        }
        
        cmp.set('v.data', result);
        cmp.set('v.totalBalance', totalBalance);
    },
    
    onSaveSuccess : function(cmp, h, result) {
        h.showToast("", "Save was successful", "success");
        
        cmp.find('newAccountDialog').closeDialog();
        cmp.find('token').set('v.value', '');
        
        h.loadData(cmp);
    },
    
    onError : function(cmp, h, response) {
        let errors = response.getError();
        let message = 'Unknown error'; 
        
        if (errors && Array.isArray(errors) && errors.length > 0) {
            message = errors[0].message;
        }
        
        h.showToast("", message, "error");
        
        cmp.find('newAccountDialog').closeDialog();
        cmp.find('token').set('v.value', '');
        
        $A.util.addClass(cmp.find('spinner'), 'slds-hide');
    }
})