<aura:application extends="force:slds" implements="force:hasRecordId">
    <aura:attribute name="data" type="Object" />
    
    <div class="slds-builder-header_container" style=" position: sticky">
        <header class="slds-builder-header" style="height: 2.625rem;">
            <div class="slds-grid slds-grid_align-spread" style="width:100%;">
                <div class="slds-col slds-size_5-of-12 slds-truncate" style="padding:0;">
                    <div class="slds-grid slds-grid_vertical-align-center">
                        <div class="slds-col slds-truncate">
                            <img style="height: 2.625rem;" src="{!$Resource.Fio}"/>
                            <span>Account Name: {!v.data.name}</span>
                        </div>
                        <div class="slds-col"> 
                            <lightning:buttonIcon class="slds-p-left_x-small slds-p-bottom_xxx-small" iconName="utility:edit"  variant="bare-inverse" alternativeText="editName" onclick="{!c.clickEditName}"/>
                        </div>
                    </div>
                </div>
                
                <div class="slds-col slds-size_2-of-12 slds-align_absolute-center">
                    <span class="slds-text-heading_small">Fio Internet Banking</span>
                </div>
                
                <div class="slds-col slds-size_5-of-12">
                    <div class="slds-grid slds-grid_align-end slds-grid_vertical-align-center" style="height:100%;">
                        <div class="slds-col slds-p-left_x-large">
                            <!--<lightning:button label="Sync" variant="brand" onclick="{!c.syncAccount}"/>-->
                        </div>
                        <div class="slds-col slds-p-left_x-large">
                            <div class="slds-current-color slds-builder-header__utilities-item slds-builder-header__item-action">
                                <a href="/lightning/n/Bank_Accounts">
                                    <lightning:icon variant="bare-inverse" size="x-small" iconName="utility:back" />
                                </a>
                            </div>
                        </div>
                    </div>                                               
                </div>
            </div>
        </header>
        
        <div class="slds-grid slds-grid_align-center slds-gutters" style="width:100%;">
            <div class="slds-col slds-size_2-of-6 slds-p-vertical_small">
                <div class="slds-box grey">
                    <dl class="slds-dl_horizontal">
                        <dt class="slds-dl_horizontal__label">
                            <p class="slds-truncate">Account No.:</p>
                        </dt>
                        <dd class="slds-dl_horizontal__detail slds-tile__meta">
                            <b class="slds-truncate">{!v.data.accountNumber}</b>
                        </dd>
                        
                        <dt class="slds-dl_horizontal__label">
                            <p class="slds-truncate">Bank Code:</p>
                        </dt>
                        <dd class="slds-dl_horizontal__detail slds-tile__meta">
                            <b class="slds-truncate">{!v.data.bankCode}</b>
                        </dd>
                        
                        <dt class="slds-dl_horizontal__label">
                            <p class="slds-truncate">IBAN:</p>
                        </dt>
                        <dd class="slds-dl_horizontal__detail slds-tile__meta">
                            <b class="slds-truncate">{!v.data.iban}</b>
                        </dd>
                    </dl>
                </div>
            </div>
            
            <div class="slds-col slds-size_2-of-6 slds-p-vertical_small">
                <div class="slds-box grey">
                    <dl class="slds-dl_horizontal">
                        <dt class="slds-dl_horizontal__label">
                            <p class="slds-truncate">Balance:</p>
                        </dt>
                        <dd class="slds-dl_horizontal__detail slds-tile__meta">
                            <b class="slds-truncate">
                                <lightning:formattedNumber value="{!v.data.balance}" 
                                                           style="currency" 
                                                           currencyCode="{!empty(v.data.crrcny) ? 'CZK' : v.data.crrcny}"/>
                            </b>
                        </dd>
                        
                        <dt class="slds-dl_horizontal__label">
                            <p class="slds-truncate">Last Sync:</p>
                        </dt>
                        <dd class="slds-dl_horizontal__detail slds-tile__meta">
                            <b class="slds-truncate">
                                <lightning:formattedDateTime value="{!v.data.lastSync}" year="numeric" month="short" day="numeric" hour="2-digit"
                                                             minute="2-digit" hour12="false"/>
                            </b>
                        </dd>
                        
                        <dt class="slds-dl_horizontal__label">
                            <p class="slds-truncate">Synced From:</p>
                        </dt>
                        <dd class="slds-dl_horizontal__detail slds-tile__meta">
                            <b class="slds-truncate">
                                <lightning:formattedDateTime value="{!v.data.syncFrom}"/>
                            </b>
                        </dd>
                    </dl>
                </div>
            </div>
        </div>
    </div>
    
    <div class="slds-grid slds-grid_vertical slds-p-horizontal_small">
            <c:InternetBankingBody aura:id="internetBankingBody"
                                   recordId="{!v.recordId}"
                                   data="{!v.data}"/>
    </div>
    
    <c:Modal aura:id="editNameDialog" showCancel="false" submitLabel="Save" title="Edit name" onSubmit="{!c.closeEditNameDialog}">
        <lightning:input name="Account Name" label="Bank Account name" variant="label-inline" value="{!v.data.name}"/>
    </c:Modal>
</aura:application>