public class BankAccountHandler {
    
    public static Setting__c getSettingByAccountNumber (String name) {
        return Setting__c.getValues(name);
    }
    
    public static Account__c getAccountWithTransactionsById (String recordId) {
        return [
            SELECT Id, 
            	Name__c,
                Account_Number__c, 
                Bank_Code__c, 
                Balance__c, 
                Last_Sync__c, 
                Last_Sync_Status__c,
                Currency__c,
                IBAN__c,
           	 	Sync_From__c,
            	(SELECT Id,
                 	Amount__c, 
                 	Bank_Account__c, 
                 	Bank_Account_Code__c, 
                 	Comment__c, 
                 	Date__c, 
                 	Type__c,
                	KS__c,
                	SS__c,
                	VS__c
                FROM Transactions__r)
            FROM Account__c 
            WHERE Id=: recordId
        ];
    }
    
    public static Account__c getAccountById (String recordId) {
        return [
            SELECT Id, 
            	Name__c,
                Account_Number__c, 
                Bank_Code__c, 
                Balance__c, 
                Last_Sync__c, 
                Last_Sync_Status__c,
                Currency__c,
                IBAN__c,
            	Sync_From__c
            FROM Account__c 
            WHERE Id=: recordId
        ];
    }
    
    public static List<Account__c> getAccounts() {
        return [
            SELECT Id, 
            	Name__c,
                Account_Number__c, 
                Bank_Code__c, 
                Balance__c, 
                Last_Sync__c, 
                Last_Sync_Status__c,
                Currency__c,
                IBAN__c,
            	Sync_From__c
            FROM Account__c 
            ORDER BY CreatedDate
        ];
    }
}