public class InvoiceSelector {
	public static Map<Id, Map<String, Invoice__c>> getAccountToUnpaidInvoices(Set<Id> accountIds) {
        Map<Id, Map<String, Invoice__c>> out = new Map<Id, Map<String, Invoice__c>>();
        
        for (Invoice__c i: [SELECT Id, Vs__c, Paid__c, Paid_Amount__c, Email__c, Amount__c, Name, Account__r.Account_Number__c
                            FROM Invoice__c 
                            WHERE Account__c IN: accountIds AND Paid__c = false AND Account__c != null]) {
        	if (!out.containsKey(i.Account__c)) {
            	out.put(i.Account__c, new Map<String, Invoice__c>());                       
            }
            out.get(i.Account__c).put(i.Vs__c, i);
        }
        
        return out;
    }
    
    public static Map<Id, Map<String, String>> getAccountToInvoiceIds(Set<Id> accountIds) {
        Map<Id, Map<String, String>> out = new Map<Id, Map<String, String>>();
        
        for (Invoice__c i: [SELECT Id, Account__r.Account_Number__c, Vs__c
                            FROM Invoice__c 
                            WHERE Account__c IN: accountIds]) {
        	if (!out.containsKey(i.Account__c)) {
            	out.put(i.Account__c, new Map<String, String>());                       
            }
            out.get(i.Account__c).put(i.Vs__c, i.Id);
        }
        
        return out;
    }
}